<?php
/*
Plugin Name: Multi User (Add User)
Description: Adds To Multi-User Management Section, giving the Add User function
Version: 1.0
Author: Mike Henken                     
*/

# get correct id for plugin
$thisfile=basename(__FILE__, ".php");

# register plugin
register_plugin(
	$thisfile, 													# ID of plugin, should be filename minus php
	'Multi User Add',
	'1.0',
	'Mike Henken',									# Author of plugin
    'http://www.profileyourcity.com/',      # Author URL
	'Adds To Multi-User Management Section, giving the Add User function', 	# Plugin Description
	'settings', 													# Page type of plugin
	'add_user'  										# Function that displays content
);

# activate hooks
//add_action('settings-sidebar','createSideMenu',array($thisfile,'User Management'));

function add_user() {
 /**
 * Add New Users Script
 * Form For this script is found in settings.php
 * Author: Mike Henken (But for this page most of it is from GetSimple)
 */
      if (isset($_POST['usereditor'])) {
          $NHTMLEDITOR = $_POST['usereditor'];
      }

      if (isset($_POST['ntimezone'])) {
          $NTIMEZONE = $_POST['ntimezone'];
      }

      if (isset($_POST['userlng'])) {
          $NLANG = $_POST['userlng'];
      }

      if (isset($_POST['Pages']) && $_POST['Pages'] == 'no') {
       $NPAGES = "no";
      }
      else {
       $NPAGES ="";
      }

      if (isset($_POST['Files']) && $_POST['Files'] == 'no') {
       $NFILES = "no";
      }
      else {
       $NFILES ="";
      }

      if (isset($_POST['Theme']) && $_POST['Files'] == 'no') {
       $NTHEME = "no";
      }
       else {
       $NTHEME ="";
      }

      if (isset($_POST['Plugins']) && $_POST['Plugins'] == 'no') {
          $NPLUGINS = "no";
      }
       else {
       $NPLUGINS ="";
      }

      if (isset($_POST['Backups']) && $_POST['Backups'] == 'no') {
       $NBACKUPS = "no";
      }
       else {
       $NBACKUPS ="";
      }

      if (isset($_POST['Settings']) && $_POST['Settings'] == 'no') {
       $NSETTINGS = "no";
      }
        else {
       $NSETTINGS ="";
      }

      if (isset($_POST['Support']) && $_POST['Support'] == 'no') {
       $NSUPPORT = "no";
      }
        else {
       $NSUPPORT ="";
      }

      if (isset($_POST['Edit']) && $_POST['Edit'] == 'no') {
       $NEDIT = "no";
      }
        else {
       $NEDIT ="";
      }

$usrfile	= $_POST['usernamec'] . '.xml';
$NUSR 		= $_POST['usernamec'];
$NEMAIL 		= $_POST['useremail'];
$pwd1       = $_POST['userpassword'];
$NPASSWD = passhash($pwd1);
$NHTMLEDITOR = $_POST['usereditor'];
$NTIMEZONE = $_POST['ntimezone'];
$NLANG = $_POST['userlng'];

// create user xml file - This coding was mostly taken from the 'settings.php' page..
	createBak($usrfile, GSUSERSPATH, GSBACKUSERSPATH);
	if (file_exists(GSUSERSPATH . _id($USRN).'.xml.reset')) { unlink(GSUSERSPATH . _id($USRN).'.xml.reset'); }
	$xml = new SimpleXMLElement('<item></item>');
	$xml->addChild('USR', $NUSR);
	$xml->addChild('PWD', $NPASSWD);
	$xml->addChild('EMAIL', $NEMAIL );
    $xml->addChild('HTMLEDITOR', $NHTMLEDITOR);
    $xml->addChild('TIMEZONE', $NTIMEZONE);
    $xml->addChild('LANG', $NLANG);
    $xml->addChild('PAGES', $NPAGES);
    $xml->addChild('FILES', $NFILES);
    $xml->addChild('THEME', $NTHEME);
    $xml->addChild('PLUGINS', $NPLUGINS);
    $xml->addChild('BACKUPS', $NBACKUPS);
    $xml->addChild('SETTINGS', $NSETTINGS);
    $xml->addChild('SUPPORT', $NSUPPORT);
    $xml->addChild('EDIT', $NEDIT);
	if (! XMLsave($xml, GSUSERSPATH . $usrfile) ) {
		$error = i18n_r('CHMOD_ERROR');
	}
			// Redirect after script is completed... I will make the script submit via ajax later
				else {
print "<meta http-equiv=\"refresh\" content=\"0;url=load.php?id=user-managment\">";
}
}
?>